Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.domain
Class LTF_Parser.MultipleAnswerComputeParser

    java.lang.Object
      ix.util.match.MatchCase
          ix.iface.domain.LTF_Parser.ConstraintParser
              ix.iface.domain.LTF_Parser.MultipleAnswerComputeParser

Enclosing class:
  LTF_Parser

     class LTF_Parser.MultipleAnswerComputeParser

extends LTF_Parser.ConstraintParser

Field Summary

Fields inherited from class ix.util.match.MatchCase
`pattern`

Constructor Summary
`LTF_Parser.MultipleAnswerComputeParser()`

Method Summary
`Constraint` | `makeConstraint(LList spec, MatchEnv env)` Construct a constraint based on the spec and any bindings in the MatchEnv.
`Constraint` | `makeTemplate()` Returns a constraint that represents the syntax of the constraints handled by this constraint-parser.

Methods inherited from class ix.iface.domain.LTF_Parser.ConstraintParser
`ifSelected, tryMatch`

Methods inherited from class ix.util.match.MatchCase
`getPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LTF_Parser.MultipleAnswerComputeParser

    LTF_Parser.MultipleAnswerComputeParser()

Method Detail

### makeConstraint

    public Constraint makeConstraint(LList spec,
                                     MatchEnv env)

  Description copied from class: `LTF_Parser.ConstraintParser`
  Construct a constraint based on the spec and any bindings in the MatchEnv. The env was produced by calling this constraint-parser's tryMatch method. The spec came from the LTF source.

  Specified by:
    `makeConstraint` in class `LTF_Parser.ConstraintParser`

### makeTemplate

    public Constraint makeTemplate()

  Description copied from class: `LTF_Parser.ConstraintParser`
  Returns a constraint that represents the syntax of the constraints handled by this constraint-parser.

  Specified by:
    `makeTemplate` in class `LTF_Parser.ConstraintParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD